<div cdkDropList class="example-list">
    
    <div class="nomarLR mt-1 float-left col-12" cdkDrag>
        <mat-accordion multi="false" class="cus-accordion-style2 col-12"                          
                          *ngIf="tareas1.length>0"
                          class="nomarLR nomarTB">
            <mat-expansion-panel class="nomarLR nomarTB">
                <mat-expansion-panel-header class="nomarLR nomarTB">
                    <mat-panel-title class="nomarLR nomarTB">
                        <b>TAREA 1</b>
                    </mat-panel-title>
                    <mat-panel-description>
                        <b>INICIO FLUJO USUARIO LETRERO</b>
                    </mat-panel-description>
                </mat-expansion-panel-header>
                <table class="table table-bordered">
                    <tr>
                      <th>Nro. Trámite</th>
                      <th>Fecha</th>
                      <th>Solicitante</th>
                      <th>Asunto/Referencia</th>
                      <th>Dias Transcurridos</th>
                      <th>Fecha Asignación</th>
                      <th>Estado</th>
                      <th width="220px">Acción</th>
                    </tr>
                    <tr *ngFor="let tarea of tareas1" [ngStyle]="{'background-color': tarea.color}">
                      <td>{{ tarea.idflujo }}</td>
                      <td>{{ tarea.fecha_alta | date: 'dd/MM/yyyy'}}</td>
                      <td>{{ tarea.nombre_usuario }}</td>
                      <td>{{ tarea.asunto }}</td>
                      <td>{{ tarea.dias_transcurridos }}</td>
                      <td>{{ tarea.fecha_asignacion | date: 'dd/MM/yyyy'}}</td>
                      <td>{{ tarea.estado }}</td>

                      <td>
                        <button mat-button color="info" (click)="openDialog(tarea)">Ver Trámite</button>
                        <!-- <a href="#" [routerLink]="['/post/', post.id, 'view']" class="btn btn-info">View</a>
                        <a href="#" [routerLink]="['/post/', post.id, 'edit']" class="btn btn-primary">Edit</a>
                        <button type="button" (click)="deletePost(post.id)" class="btn btn-danger">Delete</button> -->
                      </td>
                    </tr>
                  </table>
            </mat-expansion-panel>
        </mat-accordion>
        <br>
        <mat-accordion multi="false" class="cus-accordion-style2 col-12"
                          *ngIf="tareas2.length>0"
                          class="nomarLR nomarTB">
            <mat-expansion-panel class="nomarLR nomarTB">
                <mat-expansion-panel-header class="nomarLR nomarTB">
                    <mat-panel-title class="nomarLR nomarTB">
                        <b>TAREA 2</b>
                    </mat-panel-title>
                    <mat-panel-description>
                        <b>REVISION 1 ENCARGADO LETRERO</b>
                    </mat-panel-description>
                </mat-expansion-panel-header>
                <table class="table table-bordered">
                    <tr>
                      <th>Nro. Flujo</th>
                      <th>Fecha</th>
                      <th>Solicitante</th>
                      <th>Asunto/Referencia</th>
                      <th>Dias Transcurridos</th>
                      <th>Fecha Asignación</th>
                      <th>Estado</th>
                      <th width="220px">Acción</th>
                    </tr>
                    <tr *ngFor="let tarea of tareas2" [ngStyle]="{'background-color': tarea.color}">
                      <td>{{ tarea.idflujo }}</td>
                      <td>{{ tarea.fecha_alta | date: 'dd/MM/yyyy'}}</td>
                      <td>{{ tarea.nombre_usuario }}</td>
                      <td>{{ tarea.asunto }}</td>
                      <td>{{ tarea.dias_transcurridos }}</td>
                      <td>{{ tarea.fecha_asignacion | date: 'dd/MM/yyyy'}}</td>
                      <td>{{ tarea.estado }}</td>

                      <td>
                        <button mat-button color="info" (click)="openDialog(tarea)">Ver Trámite</button>
                        <!-- <a href="#" [routerLink]="['/post/', post.id, 'view']" class="btn btn-info">View</a>
                        <a href="#" [routerLink]="['/post/', post.id, 'edit']" class="btn btn-primary">Edit</a>
                        <button type="button" (click)="deletePost(post.id)" class="btn btn-danger">Delete</button> -->
                      </td>
                    </tr>
                  </table>
            </mat-expansion-panel>
        </mat-accordion>
        <br>
        <mat-accordion multi="false" class="cus-accordion-style2 col-12"
                          *ngIf="tareas3.length>0"
                          class="nomarLR nomarTB">
            <mat-expansion-panel class="nomarLR nomarTB">
                <mat-expansion-panel-header class="nomarLR nomarTB">
                    <mat-panel-title class="nomarLR nomarTB">
                        <b>TAREA 3</b>
                    </mat-panel-title>
                    <mat-panel-description>
                        <b>REVISION 1 INSPECTOR LETRERO</b>
                    </mat-panel-description>
                </mat-expansion-panel-header>
                <table class="table table-bordered table-striped table-hover">
                    <tr>
                      <th>Nro. Flujo</th>
                      <th>Fecha</th>
                      <th>Solicitante</th>
                      <th>Asunto/Referencia</th>
                      <th>Dias Transcurridos</th>
                      <th>Fecha Asignación</th>
                      <th>Estado</th>
                      <th width="220px">Acción</th>
                    </tr>
                    <tr *ngFor="let tarea of tareas3" [ngStyle]="{'background-color': tarea.color}">
                      <td>{{ tarea.idflujo }}</td>
                      <td>{{ tarea.fecha_alta | date: 'dd/MM/yyyy'}}</td>
                      <td>{{ tarea.nombre_usuario }}</td>
                      <td>{{ tarea.asunto }}</td>
                      <td>{{ tarea.dias_transcurridos }}</td>
                      <td>{{ tarea.fecha_asignacion | date: 'dd/MM/yyyy'}}</td>
                      <td>{{ tarea.estado }}</td>

                      <td>
                        <button mat-button color="info" (click)="openDialog(tarea)">Ver Trámite</button>
                        <!-- <a href="#" [routerLink]="['/post/', post.id, 'view']" class="btn btn-info">View</a>
                        <a href="#" [routerLink]="['/post/', post.id, 'edit']" class="btn btn-primary">Edit</a>
                        <button type="button" (click)="deletePost(post.id)" class="btn btn-danger">Delete</button> -->
                      </td>
                    </tr>
                  </table>
            </mat-expansion-panel>
        </mat-accordion>

        <mat-accordion multi="false" class="cus-accordion-style2 col-12"
                          *ngIf="tareas4.length>0"
                          class="nomarLR nomarTB">
            <mat-expansion-panel class="nomarLR nomarTB">
                <mat-expansion-panel-header class="nomarLR nomarTB">
                    <mat-panel-title class="nomarLR nomarTB">
                        <b>TAREA 4</b>
                    </mat-panel-title>
                    <mat-panel-description>
                        <b>REVISION 2 ENCARGADO LETRERO</b>
                    </mat-panel-description>
                </mat-expansion-panel-header>
                <table class="table table-bordered table-striped table-hover">
                    <tr>
                      <th align="right">Nro. Flujo</th>
                      <th align="center">Fecha</th>
                      <th>Solicitante</th>
                      <th>Asunto/Referencia</th>
                      <th align="right">Dias Transcurridos</th>
                      <th align="center">Fecha Asignación</th>
                      <th align="center">Estado</th>
                      <th width="220px">Acción</th>
                    </tr>
                    <tr *ngFor="let tarea of tareas4" [ngStyle]="{'background-color': tarea.color}">
                      <td align="right">{{ tarea.idflujo }}</td>
                      <td align="center">{{ tarea.fecha_alta | date: 'dd/MM/yyyy'}}</td>
                      <td>{{ tarea.nombre_usuario }}</td>
                      <td>{{ tarea.asunto }}</td>
                      <td align="right">{{ tarea.dias_transcurridos }}</td>
                      <td align="center">{{ tarea.fecha_asignacion | date: 'dd/MM/yyyy'}}</td>
                      <td align="center">{{ tarea.estado }}</td>

                      <td>
                        <button mat-button color="info" (click)="openDialog(tarea)">Ver Trámite</button>
                        <!-- <a href="#" [routerLink]="['/post/', post.id, 'view']" class="btn btn-info">View</a>
                        <a href="#" [routerLink]="['/post/', post.id, 'edit']" class="btn btn-primary">Edit</a>
                        <button type="button" (click)="deletePost(post.id)" class="btn btn-danger">Delete</button> -->
                      </td>
                    </tr>
                  </table>
            </mat-expansion-panel>
        </mat-accordion>

        <mat-accordion multi="false" class="cus-accordion-style2 col-12"
                          *ngIf="tareas5.length>0"
                          class="nomarLR nomarTB">
            <mat-expansion-panel class="nomarLR nomarTB">
                <mat-expansion-panel-header class="nomarLR nomarTB">
                    <mat-panel-title class="nomarLR nomarTB">
                        <b>TAREA 5</b>
                    </mat-panel-title>
                    <mat-panel-description>
                        <b>REVISION 1 JEFE LETRERO</b>
                    </mat-panel-description>
                </mat-expansion-panel-header>
                <table class="table table-bordered">
                    <tr>
                      <th>Nro. Flujo</th>
                      <th>Fecha</th>
                      <th>Solicitante</th>
                      <th>Asunto/Referencia</th>
                      <th>Dias Transcurridos</th>
                      <th>Fecha Asignación</th>
                      <th>Estado</th>
                      <th width="220px">Acción</th>
                    </tr>
                    <tr *ngFor="let tarea of tareas5" [ngStyle]="{'background-color': tarea.color}">
                      <td>{{ tarea.idflujo }}</td>
                      <td>{{ tarea.fecha_alta | date: 'dd/MM/yyyy'}}</td>
                      <td>{{ tarea.nombre_usuario }}</td>
                      <td>{{ tarea.asunto }}</td>
                      <td>{{ tarea.dias_transcurridos }}</td>
                      <td>{{ tarea.fecha_asignacion | date: 'dd/MM/yyyy'}}</td>
                      <td>{{ tarea.estado }}</td>

                      <td>
                        <button mat-button color="info" (click)="openDialog(tarea)">Ver Trámite</button>
                        <!-- <a href="#" [routerLink]="['/post/', post.id, 'view']" class="btn btn-info">View</a>
                        <a href="#" [routerLink]="['/post/', post.id, 'edit']" class="btn btn-primary">Edit</a>
                        <button type="button" (click)="deletePost(post.id)" class="btn btn-danger">Delete</button> -->
                      </td>
                    </tr>
                  </table>
            </mat-expansion-panel>
        </mat-accordion>    
        
    </div>
  </div>